# To use, rename to 'config.yaml' and place in the hyperion
# directory. Better yet, create a symlink called "config.yaml" in the
# hyperion directory that points to this file.

##############################################################
# This file is out of date. See 'caltech-hpc-dsd.config.yaml' for an
# example of an up-to-date config file
##############################################################

# Email address for cluster notifications
emailAddr: wlandry@caltech.edu

# Working directory
workingDir: /home/fas/poland/wl424/project/hyperion

# Path to a script that does srun sdpb_elemental, after loading
# appropriate modules and setting environment variables
srunSdpbElementalExecutable: /home/fas/poland/wl424/project/hyperion/hyperion/scripts/yale-grace-wlandry/srun_sdpb_elemental.sh

# Path to a script that runs pvm2sdp, after loading
# appropriate modules and setting environment variables
pvm2sdpExecutable: /home/fas/poland/wl424/project/hyperion/hyperion/scripts/yale-grace-wlandry/pvm2sdp.sh

# Path to a script that runs scalar_blocks, after loading appropriate
# modules and setting environment variables
scalarBlocksExecutable: /home/fas/poland/wl424/project/hyperion/hyperion/scripts/yale-grace-wlandry/scalar_blocks.sh

# Quota command to check disk usage (optional)
#quotasExecutable: Nothing

# Name of the scheduling program (SLURM|SGE)
scheduler: SLURM

# Default SLURM queue (partition) to submit jobs to. Can override with 
defaultSlurmPartition: pi_poland

# Command to use to run the hyperion program. If no option is
# specified, hyperion will copy its own executable to a safe place and
# run that.
hyperionCommand: singularity exec /home/fas/poland/wl424/project/hyperion/runs/hyperion.simg hyperion
